javax.swing.event

## Class HyperlinkEvent.EventType

- java.lang.Object
- - javax.swing.event.HyperlinkEvent.EventType

Enclosing class:
  HyperlinkEvent

    public static final class HyperlinkEvent.EventType
    extends Object

Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

### Field Summary

Fields
`static HyperlinkEvent.EventType` `ACTIVATED` Activated type.
`static HyperlinkEvent.EventType` `ENTERED` Entered type.
`static HyperlinkEvent.EventType` `EXITED` Exited type.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Converts the type to a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ENTERED

    public static final HyperlinkEvent.EventType ENTERED

Entered type.

#### EXITED

    public static final HyperlinkEvent.EventType EXITED

Exited type.

#### ACTIVATED

    public static final HyperlinkEvent.EventType ACTIVATED

Activated type.

### Method Detail

#### toString

    public String toString()

Converts the type to a string.

Overrides:
  `toString` in class `Object`
Returns:
  the string